package me.chyxion.tigon.exception;

/**
 * @version 0.0.1
 * @since 0.0.1
 * @author Shaun Chyxion <br>
 * chyxion@163.com <br>
 * Oct 8, 2016 5:54:52 PM
 */
public interface ErrorCoded<T> {
    
    /**
     * @return error code
     */
    T getCode();
    
    /**
     * @param code error code
     */
    void setCode(T code);
}
